/* 7.1 Schema changes for SQL Server */

setuser
go

If exists (select * from sysusers where uid = user_id('ReqPro'))
    setuser 'ReqPro'
go

ALTER TABLE RqRequirementHistory ADD FLAGS INT  NOT NULL DEFAULT 0 ;
ALTER TABLE RqDocumentHistory ADD FLAGS INT  NOT NULL DEFAULT 0 ;
ALTER TABLE RqProjectHistory ADD FLAGS INT  NOT NULL DEFAULT 0 ;
ALTER TABLE RqProjects ADD WEBSERVER VARCHAR(255);


Create Table RQPACKAGEUSERS (
	PACKAGEID int DEFAULT 0 Not Null ,
	USERGROUPID int DEFAULT 0 Not Null ,
	PACKAGEACCESSRIGHTS tinyint DEFAULT Null,
	REQUIREMENTACCESSRIGHTS tinyint DEFAULT Null,
	DOCUMENTACCESSRIGHTS tinyint DEFAULT Null,
	VIEWACCESSRIGHTS tinyint DEFAULT Null);

Alter Table RQPACKAGEUSERS Add Constraint RQPACKAGEUSERS_PK Primary Key Clustered (PACKAGEID, USERGROUPID);

ALTER TABLE RQPACKAGEUSERS WITH CHECK ADD  CONSTRAINT FK_RQPACKAGEUSERS_RQPACKAGES FOREIGN KEY(PACKAGEID)
REFERENCES RQPACKAGES (ID)
ON DELETE CASCADE;

ALTER TABLE RQPACKAGEUSERS  WITH CHECK ADD  CONSTRAINT FK_RQPACKAGEUSERS_RQUSERGROUPS FOREIGN KEY(USERGROUPID)
REFERENCES RQUSERGROUPS (ID)
ON DELETE CASCADE;


CREATE TABLE RQRESOURCES (
       ID                   INT DEFAULT 0 NOT NULL,
       NAME                 VARCHAR(255) NOT NULL,
       TYPE                 VARCHAR(255) NOT NULL,
       REQUIREMENTID        INT ,
       RESOURCEOBJ          IMAGE,
       VERSIONDATETIME      DATETIME DEFAULT (getdate())NOT NULL,
       RQGUID               VARCHAR(40) NOT NULL,
       FLAGS INT  NOT NULL DEFAULT 0 
);
  
ALTER TABLE RQRESOURCES
       ADD  CONSTRAINT RQRESOURCES_PK PRIMARY KEY (ID);

CREATE INDEX RQRES_RQGUID_X ON RQRESOURCES (RQGUID); 

CREATE INDEX RQRES_DATE_X on RQRESOURCES (REQUIREMENTID, VERSIONDATETIME);

ALTER TABLE RQRESOURCES
       ADD  CONSTRAINT RQRES_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE ;

INSERT INTO RQKEYS VALUES('Resource', 0);

Update rqrequisite set datastructure = 41;

Setuser;




